/*Layout*/

#footer {
    display: block;
    position: relative;
    background-image: url("/wp-content/themes/fugu/assets/img/footer-bg.png");
    background-color: #1C1E21;
}

/*Footer widgets*/

#footer-widgets {
    grid-template-columns: 49% 51%;
    padding: 50px 0 0;
}
#footer-widgets p {
    margin-top: 0;
    line-height: 2;
}
#footer-widgets a {
    color: #fff;
}
#footer-widgets a:hover {
    color: var(--main-color);
    text-decoration: none;
}
.contact-title {
    font-size: 12px;
    font-weight: 700;
    text-transform: uppercase;
    padding-left: 18px;
    position: relative;
    margin-bottom: 24px;
}
.contact-title::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 10px;
    height: 10px;
    border-radius: 100%;
    background: var(--main-color);
}
.contact-title span {
    display: inline-block;
    font-size: 10px;
    text-transform: none;
    padding: 4px;
    background: #292C30;
    border-radius: 2px;
    line-height: 1;
    margin-left: 8px;
}
.footer-socials {
    display: flex;
    align-items: center;
}
.footer-socials a {
    margin-right: 16px;
    width: 32px;
    height: 32px;
    border-radius: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--main-color);
}
.footer-socials a:hover {
    background: #FAFAFA;
    color: var(--main-color);
}
.footer-socials a:last-child {
    margin-right: 0;
}
.footer-time p:first-child {
    margin-bottom: 0;
}
.footer-left {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.footer-logo {
    width: 86px;
    height: auto;
}
.footer-payment__text {
    margin: 0;
    margin-bottom: 10px;
    font-family: "Inter", sans-serif;
    font-size: 12px;
    color: #484848;
}
.footer-payment-list {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    align-items: center;
}

.footer-payment-list li {
    padding: 0 16px;
}

.footer-payment-list li:first-child {
    padding-left: 0;
}

.footer-payment-list li:last-child {
    padding-right: 0;
}

.footer-payment-list li:nth-child(2) {
    border-left: 1px solid #282A2E;
    border-right: 1px solid #282A2E;
}

.footer-payment-list img {
    vertical-align: middle;
}
.footer-payment-list svg {
    vertical-align: middle;
}
#footer-widgets {
    padding-bottom: 30px;
}


/*Pulse*/

.pulse {
    animation: shadow-pulse 1s infinite;
}
.contact-title .pulse {
    display: inline-block;
    background: linear-gradient(88deg, #f3e4a1, #c27e46);
    width: 8px;
    height: 8px;
    border-radius: 50%;
    margin: 0 10px 5px 0;

}

@keyframes shadow-pulse
{
  0% {
    box-shadow: 0 0 0 0px rgba(243,228,161,0.3);;
  }
  100% {
    box-shadow: 0 0 0 20px rgba(243,228,161,0);;
  }
}

/*Bottom bar*/

#footer-bottom, #footer-bottom a {
    color: #c7c7c7;
    font-size: 14px;
}
#footer-bottom {
    padding: 30px 0;
    border-top: 1px solid rgba(255, 255, 255, .5);
}
#footer-bottom a:hover {
    color: var(--main-color);
    text-decoration: none;
}
#footer-menu {
    min-width: 30%;
}
.footer-payments {
    text-align: center;
}
.footer-payments img {
    margin-bottom: 10px;
}
#footer-nav {
    position: relative;
    margin: 0;
    padding: 0;
    list-style: none;
    justify-content: space-between;
}
#footer-nav .menu-item {
    margin-bottom: 20px;
}
#footer-bottom .copyright {
    font-size: 14px;
}
#footer-bottom .copyright-small {
    font-size: 9px;
    color: #484848;
    margin-top: 10px;
    margin: 0;
}
#footer-e-logo a {
    font-size: 16px;
    font-weight: 700;
}

.footer-apps {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
}

.footer-apps__link {
    margin-right: 10px;
}
.footer-app__text {
    margin-bottom: 5px;
}
@media screen and (min-width: 992px) {
    #footer-nav {
        display: flex;
    }
    #footer-nav .menu-item {
        margin-right: 20px;
        margin-bottom: 0;
    }
    #footer-nav .menu-item:last-child {
        margin-right: 0px;
    }
    #footer-bottom .copyright {
        margin-bottom: 0;
    }
}

/*Back to top*/

#back-to-top {
    position: fixed;
    display: flex;
    bottom: 50px;
    right: 50px;
    z-index: 89;
    background-color: rgba(0,0,0,.4);
    font-size: 22px;
    line-height: 1;
    width: 40px;
    height: 40px;
    justify-content: center;
    align-items: center;
    color: #fff;
    transition: all .3s;
    visibility: hidden;
    opacity: 0;
    border-radius: 100%;
}
.scrolled #back-to-top {
    visibility: visible;
    opacity: 1;
}
#back-to-top:hover {
    text-decoration: none;
    background-color: rgba(169, 7, 12, 0.4);
}

@media screen and (max-width: 991px) {
    .footer-left {
        align-items: center;
        text-align: center;
        padding-bottom: 20px;
        border-bottom: 1px solid rgba(255, 255, 255, .4);
    }
    .contact-title {
        display: inline-block;
    }
    .footer-logo {
        margin-bottom: 24px;
    }
    #footer-contacts {
        padding-top: 20px;
    }
    .footer-socials {
        justify-content: center;
    }
    #footer-contacts .flex-row {
        display: flex;
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 24px 0;
    }
    #footer-bottom {
        padding: 20px 0;
        display: flex;
        flex-direction: column;
    }
    #footer-menu {
        order: 1;
    }
    .copyright {
        order: 2;
        margin-bottom: 10px;
    }
    #footer-e-logo {
        order: 3;
    }
}

@media screen and (max-width: 767px) {
    #back-to-top {
        bottom: 15px;
        right: 15px;
    }
    .footer-payment-list {
        justify-content: center;
    }
}